liborigin2: Origin::MatrixSheet Struct Reference

liborigin2 29/08/2011

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | List of all members
Origin::MatrixSheet Struct Reference

`#include <OriginObj.h>`

## Public Types
enum | ViewType { DataView, ImageView }

## Public Member Functions
| MatrixSheet (const string &_name="", unsigned int _index=0)

## Public Attributes
ColorMap | colorMap
unsigned short | columnCount
string | command
vector< double > | coordinates
vector< double > | data
int | decimalPlaces
unsigned int | index
string | name
NumericDisplayType | numericDisplayType
unsigned short | rowCount
int | significantDigits
int | valueTypeSpecification
ViewType | view
unsigned short | width

## Member Enumeration Documentation

enum Origin::MatrixSheet::ViewType

Enumerator
DataView |
ImageView |

## Constructor & Destructor Documentation

Origin::MatrixSheet::MatrixSheet | ( | const string & | _name = `""`,
|  | unsigned int | _index = `0`
| ) |  |
| inline

## Member Data Documentation

ColorMap Origin::MatrixSheet::colorMap

Referenced by Origin800Parser::readMatrixInfo(), and Origin750Parser::readMatrixInfo().

unsigned short Origin::MatrixSheet::columnCount

Referenced by Origin610Parser::readMatrixInfo(), Origin800Parser::readMatrixInfo(), and Origin750Parser::readMatrixInfo().

string Origin::MatrixSheet::command

Referenced by Origin610Parser::readMatrixInfo(), Origin800Parser::readMatrixInfo(), and Origin750Parser::readMatrixInfo().

vector<double> Origin::MatrixSheet::coordinates

Referenced by Origin610Parser::readMatrixInfo(), Origin800Parser::readMatrixInfo(), and Origin750Parser::readMatrixInfo().

vector<double> Origin::MatrixSheet::data

int Origin::MatrixSheet::decimalPlaces

Referenced by Origin610Parser::readMatrixInfo(), Origin800Parser::readMatrixInfo(), and Origin750Parser::readMatrixInfo().

unsigned int Origin::MatrixSheet::index

string Origin::MatrixSheet::name

Referenced by Origin800Parser::readMatrixInfo().

NumericDisplayType Origin::MatrixSheet::numericDisplayType

Referenced by Origin610Parser::readMatrixInfo(), Origin800Parser::readMatrixInfo(), and Origin750Parser::readMatrixInfo().

unsigned short Origin::MatrixSheet::rowCount

Referenced by Origin610Parser::readMatrixInfo(), Origin800Parser::readMatrixInfo(), and Origin750Parser::readMatrixInfo().

int Origin::MatrixSheet::significantDigits

Referenced by Origin610Parser::readMatrixInfo(), Origin800Parser::readMatrixInfo(), and Origin750Parser::readMatrixInfo().

int Origin::MatrixSheet::valueTypeSpecification

Referenced by Origin610Parser::readMatrixInfo(), Origin800Parser::readMatrixInfo(), and Origin750Parser::readMatrixInfo().

ViewType Origin::MatrixSheet::view

Referenced by Origin800Parser::readMatrixInfo(), and Origin750Parser::readMatrixInfo().

unsigned short Origin::MatrixSheet::width

Referenced by Origin610Parser::readMatrixInfo(), Origin800Parser::readMatrixInfo(), and Origin750Parser::readMatrixInfo().

The documentation for this struct was generated from the following file:

- /build/liborigin2/src/liborigin2/OriginObj.h